aws-0.16: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Commands.Select

Synopsis

- data Select = Select {
  - sSelectExpression :: Text
  - sConsistentRead :: Bool
  - sNextToken :: Maybe Text
  }
- data SelectResponse = SelectResponse {
  - srItems :: [Item [Attribute Text]]
  - srNextToken :: Maybe Text
  }
- select :: Text -> Select

# Documentation

data Select #

Constructors

Select |
Fields sSelectExpression :: Text sConsistentRead :: Bool sNextToken :: Maybe Text

Instances

Show Select # |
Methods showsPrec :: Int -> Select -> ShowS # show :: Select -> String # showList :: [Select] -> ShowS #
SignQuery Select # | ServiceConfiguration: `SdbConfiguration`
Associated Types type ServiceConfiguration Select :: * -> * # Methods signQuery :: Select -> ServiceConfiguration Select queryType -> SignatureData -> SignedQuery #
IteratedTransaction Select SelectResponse # |
Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #
Transaction Select SelectResponse # |
type ServiceConfiguration Select # |
type ServiceConfiguration Select = SdbConfiguration

data SelectResponse #

Constructors

SelectResponse |
Fields srItems :: [Item [Attribute Text]] srNextToken :: Maybe Text

Instances

Show SelectResponse # |
Methods showsPrec :: Int -> SelectResponse -> ShowS # show :: SelectResponse -> String # showList :: [SelectResponse] -> ShowS #
AsMemoryResponse SelectResponse # |
Associated Types type MemoryResponse SelectResponse :: * # Methods loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) #
IteratedTransaction Select SelectResponse # |
Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select #
Transaction Select SelectResponse # |
ResponseConsumer r SelectResponse # |
Associated Types type ResponseMetadata SelectResponse :: * # Methods responseConsumer :: Request -> r -> IORef (ResponseMetadata SelectResponse) -> HTTPResponseConsumer SelectResponse #
ListResponse SelectResponse (Item [Attribute Text]) # |
Methods listResponse :: SelectResponse -> [Item [Attribute Text]] #
type MemoryResponse SelectResponse # |
type MemoryResponse SelectResponse = SelectResponse
type ResponseMetadata SelectResponse # |
type ResponseMetadata SelectResponse = SdbMetadata

select :: Text -> Select #